# AP4_AudioSampleEntry Class Reference

`#include <Ap4SampleEntry.h>`

Inheritance diagram for AP4_AudioSampleEntry:

List of all members.

## Public Member Functions
| AP4_AudioSampleEntry (AP4_Atom::Type format, AP4_UI32 sample_rate, AP4_UI16 sample_size, AP4_UI16 channel_count)
| AP4_AudioSampleEntry (AP4_Atom::Type format, AP4_Size size, AP4_ByteStream &stream, AP4_AtomFactory &atom_factory)
AP4_UI32 | GetSampleRate ()
AP4_UI16 | GetSampleSize ()
AP4_UI16 | GetChannelCount ()
AP4_SampleDescription * | ToSampleDescription ()
virtual AP4_SampleDescription * | ToTargetSampleDescription (AP4_UI32 format)
## Protected Member Functions
virtual AP4_Size | GetFieldsSize ()
virtual AP4_Result | ReadFields (AP4_ByteStream &stream)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
## Protected Attributes
AP4_UI16 | m_QtVersion
AP4_UI16 | m_QtRevision
AP4_UI32 | m_QtVendor
AP4_UI16 | m_ChannelCount
AP4_UI16 | m_SampleSize
AP4_UI16 | m_QtCompressionId
AP4_UI16 | m_QtPacketSize
AP4_UI32 | m_SampleRate
AP4_UI32 | m_QtV1SamplesPerPacket
AP4_UI32 | m_QtV1BytesPerPacket
AP4_UI32 | m_QtV1BytesPerFrame
AP4_UI32 | m_QtV1BytesPerSample
AP4_UI32 | m_QtV2StructSize
double | m_QtV2SampleRate64
AP4_UI32 | m_QtV2ChannelCount
AP4_UI32 | m_QtV2Reserved
AP4_UI32 | m_QtV2BitsPerChannel
AP4_UI32 | m_QtV2FormatSpecificFlags
AP4_UI32 | m_QtV2BytesPerAudioPacket
AP4_UI32 | m_QtV2LPCMFramesPerAudioPacket
AP4_DataBuffer | m_QtV2Extension

## Detailed Description

Definition at line 85 of file Ap4SampleEntry.h.

## Constructor & Destructor Documentation

AP4_AudioSampleEntry::AP4_AudioSampleEntry | ( | AP4_Atom::Type | format,
|  | AP4_UI32 | sample_rate,
|  | AP4_UI16 | sample_size,
|  | AP4_UI16 | channel_count |
| ) |  |  |

AP4_AudioSampleEntry::AP4_AudioSampleEntry | ( | AP4_Atom::Type | format,
|  | AP4_Size | size,
|  | AP4_ByteStream & | stream,
|  | AP4_AtomFactory & | atom_factory |
| ) |  |  |

## Member Function Documentation

AP4_UI32 AP4_AudioSampleEntry::GetSampleRate | ( |  | ) |

AP4_UI16 AP4_AudioSampleEntry::GetSampleSize | ( |  | ) | `[inline]`

Definition at line 100 of file Ap4SampleEntry.h.

References m_SampleSize.

AP4_UI16 AP4_AudioSampleEntry::GetChannelCount | ( |  | ) |

AP4_SampleDescription* AP4_AudioSampleEntry::ToSampleDescription | ( |  | ) | `[virtual]`

Reimplemented from AP4_SampleEntry.

Reimplemented in AP4_EncaSampleEntry, and AP4_MpegAudioSampleEntry.

virtual AP4_SampleDescription* AP4_AudioSampleEntry::ToTargetSampleDescription | ( | AP4_UI32 | format | ) | `[virtual]`

virtual AP4_Size AP4_AudioSampleEntry::GetFieldsSize | ( |  | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_AudioSampleEntry::ReadFields | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_AudioSampleEntry::WriteFields | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

virtual AP4_Result AP4_AudioSampleEntry::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[protected, virtual]`

Reimplemented from AP4_SampleEntry.

## Member Data Documentation

AP4_UI16 AP4_AudioSampleEntry::m_QtVersion`[protected]`

Definition at line 120 of file Ap4SampleEntry.h.

AP4_UI16 AP4_AudioSampleEntry::m_QtRevision`[protected]`

Definition at line 121 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtVendor`[protected]`

Definition at line 122 of file Ap4SampleEntry.h.

AP4_UI16 AP4_AudioSampleEntry::m_ChannelCount`[protected]`

Definition at line 123 of file Ap4SampleEntry.h.

AP4_UI16 AP4_AudioSampleEntry::m_SampleSize`[protected]`

Definition at line 124 of file Ap4SampleEntry.h.

Referenced by GetSampleSize().

AP4_UI16 AP4_AudioSampleEntry::m_QtCompressionId`[protected]`

Definition at line 125 of file Ap4SampleEntry.h.

AP4_UI16 AP4_AudioSampleEntry::m_QtPacketSize`[protected]`

Definition at line 126 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_SampleRate`[protected]`

Definition at line 127 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV1SamplesPerPacket`[protected]`

Definition at line 129 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV1BytesPerPacket`[protected]`

Definition at line 130 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV1BytesPerFrame`[protected]`

Definition at line 131 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV1BytesPerSample`[protected]`

Definition at line 132 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV2StructSize`[protected]`

Definition at line 134 of file Ap4SampleEntry.h.

double AP4_AudioSampleEntry::m_QtV2SampleRate64`[protected]`

Definition at line 135 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV2ChannelCount`[protected]`

Definition at line 136 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV2Reserved`[protected]`

Definition at line 137 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV2BitsPerChannel`[protected]`

Definition at line 138 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV2FormatSpecificFlags`[protected]`

Definition at line 139 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV2BytesPerAudioPacket`[protected]`

Definition at line 140 of file Ap4SampleEntry.h.

AP4_UI32 AP4_AudioSampleEntry::m_QtV2LPCMFramesPerAudioPacket`[protected]`

Definition at line 141 of file Ap4SampleEntry.h.

AP4_DataBuffer AP4_AudioSampleEntry::m_QtV2Extension`[protected]`

Definition at line 142 of file Ap4SampleEntry.h.

The documentation for this class was generated from the following file:

- Ap4SampleEntry.h